Page MenuHomePhabricator

Rename Field in IBM export
Closed, ResolvedPublic1 Story Points

Description

Rename the 'opted_in' field in the export to IBM (formerly silverpop) to 'latest_optin_response'.

This will have the effect of making the field no longer match exactly to an IBM system field. This is desirable as it will reduce the likelihood of field mapping problems as were seen in T219401, and reduce some of the manual work necessary when setting up new imports.

Details

Related Gerrit Patches:
wikimedia/fundraising/tools : masterChange name of opt-in field in export

Event Timeline

XenoRyet created this task.Jun 11 2019, 5:03 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 11 2019, 5:03 PM
XenoRyet set the point value for this task to 1.Jul 1 2019, 8:00 PM

Change 520511 had a related patch set uploaded (by Ejegg; owner: Ejegg):
[wikimedia/fundraising/tools@master] Change name of opt-in field in export

https://gerrit.wikimedia.org/r/520511

Change 520511 merged by jenkins-bot:
[wikimedia/fundraising/tools@master] Change name of opt-in field in export

https://gerrit.wikimedia.org/r/520511

Ejegg added subscribers: CCogdill_WMF, Ejegg.

@CCogdill_WMF this is ready to deploy. Can we push it out right now, or should we hold off till you've updated things on the IBM side?

Would it be possible to time this change with T170972 so we only have to remap the fields once?

Ejegg added a comment.Jul 3 2019, 8:39 PM

Yep, totally. We'll hold off on deploying this one.

DStrine closed this task as Resolved.Aug 6 2019, 8:07 PM